﻿* Encoding: UTF-8.

*Schaal politieke berichtgeving volgen.
*Beschrijven variabelen.
FREQUENCIES VARIABLES=v50 v51 v52 v53 v54 v55 v56 v57
  /ORDER=ANALYSIS.
*Missing value op v51 definieren.
* Define Variable Properties.
*v51.
MISSING VALUES v51(34.00).
EXECUTE.
*PCA.
FACTOR
  /VARIABLES v50 v51 v52 v53 v54 v55 v56 v57
  /MISSING LISTWISE 
  /ANALYSIS v50 v51 v52 v53 v54 v55 v56 v57
  /PRINT INITIAL EXTRACTION ROTATION
  /FORMAT BLANK(.30)
  /PLOT EIGEN
  /CRITERIA MINEIGEN(1) ITERATE(25)
  /EXTRACTION PC
  /CRITERIA ITERATE(25)
  /ROTATION VARIMAX
  /METHOD=CORRELATION.
*betrouwbaarheid eendimensionale schaal.
RELIABILITY
  /VARIABLES=v50 v51 v52 v53 v54 v55 v56 v57
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /STATISTICS=CORR
  /SUMMARY=TOTAL.
*betrouwbaarheid deelschaal 1.
RELIABILITY
  /VARIABLES=v50 v52 v53 v54 v56 v57
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /STATISTICS=CORR
  /SUMMARY=TOTAL.
*betrouwbaarheid deelschaal 2.
RELIABILITY
  /VARIABLES=v51 v52 v55 v56
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /STATISTICS=CORR
  /SUMMARY=TOTAL.
*Contructie van schaalvariabelen.
COMPUTE polvolgen_uni = MEAN(v50,v51,v52,v53,v54,v55,v56,v57).
VARIABLE LABELS  polvolgen_uni 'Politiek volgen: unidimensionale schaal'.
COMPUTE polvolgen_1 = MEAN(v50,v52,v53,v54,v56,v57).
VARIABLE LABELS  polvolgen_1 'Politiek volgen: deelschaal1'.
COMPUTE polvolgen_2 = MEAN(v51,v52,v55,v56).
VARIABLE LABELS  polvolgen_2 'Politiek volgen: deelschaal2'.
EXECUTE.
*Samenhang met leeftijd.
*Controle leeftijd.
FREQUENCIES VARIABLES=v3
  /ORDER=ANALYSIS.
*Volgen van politiek onzinnig voor kinderen tot 5 jaar (codeerfouten?).
USE ALL.
COMPUTE filter_$=(v3 > 5).
VARIABLE LABELS filter_$ 'v3 > 5 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.
*Controle lineair verband.
GRAPH
  /SCATTERPLOT(BIVAR)=v3 WITH polvolgen_uni
  /MISSING=LISTWISE.
GRAPH
  /SCATTERPLOT(BIVAR)=v3 WITH polvolgen_2
  /MISSING=LISTWISE.
GRAPH
  /SCATTERPLOT(BIVAR)=v3 WITH polvolgen_2
  /MISSING=LISTWISE.
*Samenhang leeftijd - politiek volgen.
CORRELATIONS
  /VARIABLES=v3 polvolgen_uni polvolgen_1 polvolgen_2
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE.
*Selectie cases ongedaan maken.
FILTER OFF.
USE ALL.
EXECUTE.
