*Syntax bij oefening 3_1.

*Opgave a: schaalconstructie v13 - v19.

*Univariate beschrijving: Frequentieverdelingen voor elke variabele.
FREQUENCIES
  VARIABLES=v13 v14 v15 v16 v17 v18 v19
  /ORDER=  ANALYSIS .

*Univariate bewerking: missings (99) definiren.
*Define Variable Properties.
*v14.
MISSING VALUES v14 ( 99 ).
*v16.
MISSING VALUES v16 ( 99 ).
EXECUTE.

*Factoranalyse (PCA).
FACTOR
  /VARIABLES v13 v14 v15 v16 v17 v18 v19  /MISSING LISTWISE /ANALYSIS v13 v14
  v15 v16 v17 v18 v19
  /PRINT INITIAL EXTRACTION ROTATION
  /PLOT EIGEN
  /CRITERIA MINEIGEN(1) ITERATE(25)
  /EXTRACTION PC
  /CRITERIA ITERATE(25)
  /ROTATION VARIMAX
  /METHOD=CORRELATION .
*NB de factorscores worden nu niet bewaard.

*Opgave b - d: betrouwbaarheidsanalyse.
RELIABILITY
  /VARIABLES=v13 v14 v15 v16 v17 v18 v19
  /SCALE('gratificaties van televisie kijken')  ALL/MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE CORR
  /SUMMARY=TOTAL .

*Opgave e: schaalscore berekenen en beschrijven.
COMPUTE tvgratif = MEAN(v13,v14,v15,v16,v17,v18,v19).
EXECUTE .
DESCRIPTIVES
  VARIABLES=tvgratif
  /STATISTICS=MEAN STDDEV MIN MAX .
GRAPH
  /HISTOGRAM(NORMAL)=tvgratif .
