* Syntax bij oefening 1_2.

*Univariaat beschrijven van de variabelen.
FREQUENCIES
  VARIABLES=v1 v7 v8
  /BARCHART  FREQ
  /ORDER=  ANALYSIS .

*De value labels toevoegen en missing values definiren.
*Define Variable Properties.
*v1.
MISSING VALUES v1 ( 99 ).
VALUE LABELS  v1
     0  'Vrouw'
     1  'Man'  .
EXECUTE.
*NB onderstaande syntax kun je kopiren uit de syntax die je voor oefening 1 hebt gemaakt.
*Define Variable Properties.
*v7.
MISSING VALUES v7 ( 99 ).
VALUE LABELS  v7
     1  'NRC'
     2  'Volkskrant'
     3  'Telegraaf'
     4  'AD'
     5  'Trouw'
     6  'Parool'
     7  'Spits/Metro'
     8  'NRC.Next'
     9  'Anders'  .
*v8.
MISSING VALUES v8 ( 99 ).
VALUE LABELS  v8
     1  'Nooit'
     2  'Zelden'
     3  'Soms'
     4  'Tamelijk vaak'
     5  'Vaak'
     6  'Heel vaak'  .

*Antwoord op vraag a: de associatie tussen V1 en V7 via een kruistabel.
CROSSTABS
  /TABLES=v7  BY v1
  /FORMAT= AVALUE TABLES
  /STATISTIC=PHI LAMBDA
  /CELLS= COUNT COLUMN
  /COUNT ROUND CELL .

*Antwoord op vraag b: de associatie tussen V7 en V8 via een kruistabel.
CROSSTABS
  /TABLES=v8  BY v7
  /FORMAT= AVALUE TABLES
  /STATISTIC=PHI
  /CELLS= COUNT COLUMN
  /COUNT ROUND CELL .

*Alternatief voor vraag b: eta.
MEANS TABLES=v8 BY v7
  /CELLS MEAN COUNT STDDEV
  /STATISTICS ANOVA.

*Antwoord op vraag c: de associatie tussen V7 en V8 waarbij het geslacht constant wordt gehouden (als Layer in de kruistabel).
CROSSTABS
  /TABLES=v7  BY v8  BY v1
  /FORMAT= AVALUE TABLES
  /STATISTIC=PHI
  /CELLS= COUNT COLUMN
  /COUNT ROUND CELL .

*Alternatieve aanpak voor vraag c: eerst een geslacht selecteren en daarvoor de kruistabel opvragen, dan hetzelfde doen voor het andere geslacht.
*Vrouwen (v1 = 0).
USE ALL.
COMPUTE filter_$=(v1 = 0).
VARIABLE LABEL filter_$ 'v1 = 0 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
CROSSTABS
  /TABLES=v7  BY v8
  /FORMAT= AVALUE TABLES
  /STATISTIC=PHI
  /CELLS= COUNT COLUMN
  /COUNT ROUND CELL .
*Eta voor vrouwen.
MEANS TABLES=v8 BY v7
  /CELLS MEAN COUNT STDDEV
  /STATISTICS ANOVA.
*Mannen (v1 = 1).
USE ALL.
COMPUTE filter_$=(v1 = 1).
VARIABLE LABEL filter_$ 'v1 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
CROSSTABS
  /TABLES=v7  BY v8
  /FORMAT= AVALUE TABLES
  /STATISTIC=PHI
  /CELLS= COUNT COLUMN
  /COUNT ROUND CELL .
*Eta voor mannen.
MEANS TABLES=v8 BY v7
  /CELLS MEAN COUNT STDDEV
  /STATISTICS ANOVA.

