* Syntax bij oefening 1_4.

*Univariaat beschrijven van de variabelen.
*Dit is nu wel handig omdat het laat zien dat 99 een missing value aangeeft.
FREQUENCIES
  VARIABLES=v5uur v5min v6uur v6min v12 v3 v4uur v2
  /BARCHART  FREQ
  /ORDER=  ANALYSIS .

*De value labels toevoegen en missing values definiren.
*Define Variable Properties.
*v5uur.
MISSING VALUES v5uur ( 99 ).
*v5min.
MISSING VALUES v5min ( 99 ).
*v6uur.
MISSING VALUES v6uur ( 99 ).
*v6min.
MISSING VALUES v6min ( 99 ).
*v12.
VALUE LABELS  v12
     1  'Helemaal nooit'
     9  'Zeer vaak'  .
*v3.
MISSING VALUES v3 ( 99 ).
*v4uur.
MISSING VALUES v4uur ( 99 ).
*v2.
MISSING VALUES v2 ( 99 ).
VALUE LABELS  v2
     1  'Lager onderwijs'
     2  'MAVO'
     3  'MBO'
     4  'HAVO, Mulo'
     5  'VWO'
     6  'HBO'
     7  'WO'  .
EXECUTE.

*Berekenen van de totale tijd die naar tv wordt gekeken.
*NB je kunt de nieuwe variabelen natuurlijk ook een andere naam geven.
COMPUTE TVpweek = ((v5uur + v5min / 60) * 5) + ((v6uur + v6min / 60) * 2) .
VARIABLE LABELS TVpweek 'Aantal uren tv kijken per week' .
EXECUTE .

*Vraag a: een asymmetrisch verband tussen variabelen op interval/ratio niveau, dus regressie-analyse.
*Het is verstandig om eerst via een spreidingsdiagram te kijken of het verband wel lineair kan zijn.
GRAPH
  /SCATTERPLOT(BIVAR)=TVpweek WITH v12
  /MISSING=LISTWISE .
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT v12
  /METHOD=ENTER TVpweek  .

*Vraag b: een asymmetrisch verband tussen variabelen op interval/ratio niveau, dus regressie-analyse.
*Het is verstandig om eerst via een spreidingsdiagram te kijken of het verband wel lineair kan zijn.
GRAPH
  /SCATTERPLOT(BIVAR)=v3 WITH v12
  /MISSING=LISTWISE .
GRAPH
  /SCATTERPLOT(BIVAR)=v4uur WITH v12
  /MISSING=LISTWISE .
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT v12
  /METHOD=ENTER TVpweek v3 v4uur  .

*Vraag c: eerst selecteren van relevante cases, daarna multipele regressieanalyse.
*Selectie wanneer opleiding (v2) minstens vwo (waarde 5) is.
USE ALL.
COMPUTE filter_$=(v2 >= 5).
VARIABLE LABEL filter_$ 'v2 >= 5 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
*Regressieanalyse.
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT v12
  /METHOD=ENTER v3 v4uur TVpweek  .

*Vraag d: Aparte analyses voor mannen en vrouwen.
*Vrouwen (v1= 0).
USE ALL.
COMPUTE filter_$=(v1 = 0).
VARIABLE LABEL filter_$ 'v1 = 0 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT v12
  /METHOD=ENTER v3 v4uur TVpweek  .
*Mannen (v1= 1).
USE ALL.
COMPUTE filter_$=(v1 = 1).
VARIABLE LABEL filter_$ 'v1 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT v12
  /METHOD=ENTER v3 v4uur TVpweek  .

