*Syntax bij oefening 2_3.

*Opgave a: schaalconstructie v13 - v19.

*Univariate beschrijving: Frequentieverdelingen voor elke variabele.
FREQUENCIES
  VARIABLES=v13 v14 v15 v16 v17 v18 v19
  /ORDER=  ANALYSIS .

*Univariate bewerking: missings (99) definiren.
*Define Variable Properties.
*v14.
MISSING VALUES v14 ( 99 ).
*v16.
MISSING VALUES v16 ( 99 ).
EXECUTE.

*Factoranalyse (PCA).
FACTOR
  /VARIABLES v13 v14 v15 v16 v17 v18 v19  /MISSING LISTWISE /ANALYSIS v13 v14
  v15 v16 v17 v18 v19
  /PRINT INITIAL EXTRACTION ROTATION
  /PLOT EIGEN
  /CRITERIA MINEIGEN(1) ITERATE(25)
  /EXTRACTION PC
  /CRITERIA ITERATE(25)
  /ROTATION VARIMAX
  /SAVE REG(ALL)
  /METHOD=CORRELATION .
*Benoeming factor.
*Define Variable Properties.
*FAC1_1.
VARIABLE LABELS FAC1_1  'Gratificaties tv kijken'.
EXECUTE.

*Opgave b: constructie van de index hoeveel tijd die men naar televisie kijkt.
*Beschrijving van de tijd die men naar televisie kijkt.
FREQUENCIES
  VARIABLES=v5uur v5min v6uur v6min  /FORMAT=NOTABLE
  /HISTOGRAM
  /ORDER=  ANALYSIS .
*Univariate bewerking.
*De waarden die voorkomen zijn geloofwaardig. Er hoeven geen extra missing values gedefinieerd te worden.
*Indexvariabele laten berekenen.
*NB je kunt de nieuwe variabelen natuurlijk ook een andere naam geven.
COMPUTE TVpweek = ((v5uur + v5min / 60) * 5) + ((v6uur + v6min / 60) * 2) .
VARIABLE LABELS TVpweek 'Aantal uren tv kijken per week' .
EXECUTE .
*Bivariate samenhang tussen televisiekijktijd en gratificatie televisiekijken.
GRAPH
  /SCATTERPLOT(BIVAR)=TVpweek WITH FAC1_1
  /MISSING=LISTWISE .
*Correlatie.
CORRELATIONS
  /VARIABLES=FAC1_1 TVpweek
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE .

*Opgave c: Effect van achtergrondvariabelen.
*Pas je kennis uit MCO/BS toe.
*Vergeet niet om de resultaten goed te interpreteren.