*a - constructie van schalen. *Beschrijven/controleren van items.
FREQUENCIES VARIABLES=aantrekkelijk stijlvol knap elegant sexy aardig eerlijk integer oprecht
   betrouwbaar vertrouwen geloofwaardig
  /ORDER=ANALYSIS.
*Waarde '17' als missing definieren.
* Define Variable Properties.
*integer.
MISSING VALUES integer(17).
EXECUTE.
*Factoranalyse.
FACTOR
  /VARIABLES aantrekkelijk stijlvol knap elegant sexy aardig eerlijk integer oprecht betrouwbaar
   vertrouwen geloofwaardig
  /MISSING LISTWISE
  /ANALYSIS aantrekkelijk stijlvol knap elegant sexy aardig eerlijk integer oprecht betrouwbaar
   vertrouwen geloofwaardig
  /PRINT INITIAL EXTRACTION ROTATION
  /PLOT EIGEN
  /CRITERIA MINEIGEN(1) ITERATE(25)
  /EXTRACTION PC
  /CRITERIA ITERATE(25)
  /ROTATION VARIMAX
  /METHOD=CORRELATION.
*Betrouwbaarheid deelschaal 1.
RELIABILITY
  /VARIABLES=aardig eerlijk integer oprecht betrouwbaar vertrouwen geloofwaardig
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /SUMMARY=TOTAL.
*Betrouwbaarheid deelschaal 2.
RELIABILITY
  /VARIABLES=aantrekkelijk stijlvol knap elegant sexy aardig
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /SUMMARY=TOTAL.
COMPUTE schaal1=Mean(aardig,eerlijk,integer,oprecht,betrouwbaar,vertrouwen,geloofwaardig).
EXECUTE.
*Berekenen van de schaalvariabelen.
COMPUTE schaal2=Mean(aantrekkelijk,stijlvol,knap,elegant,sexy,aardig).
EXECUTE.
* Define Variable Properties.
*schaal1.
VARIABLE LABELS schaal1 'Deelschaal1: betrouwbaarheid'.
*schaal2.
VARIABLE LABELS schaal2 'Deelschaal2: aantrekkelijkheid'.
EXECUTE.
*z-scores voor beide deelschalen berekenen.
DESCRIPTIVES VARIABLES=schaal1 schaal2
  /SAVE
  /STATISTICS=MEAN STDDEV MIN MAX.
*Correlaties tussen de ruwe of gestandaardiseerde scores.
CORRELATIONS
  /VARIABLES=schaal1 schaal2 Zschaal1 Zschaal2
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE.

*b - regressieanalyse met on/gestandaardiseerde variabelen.
*Controle van de variabele houding.
FREQUENCIES VARIABLES=geslacht houding
  /ORDER=ANALYSIS.
*Controle van spreidingsdiagrammen (het is niet nodig om de gestandaardiseerde variabelen ook te controleren).
GRAPH
  /SCATTERPLOT(BIVAR)=schaal1 WITH houding
  /MISSING=LISTWISE.
GRAPH
  /SCATTERPLOT(BIVAR)=schaal2 WITH houding
  /MISSING=LISTWISE.
*Weglaten bivariate uitbijter proefpersoon 55 (NB ~= is het teken voor "is ongelijk aan").
USE ALL.
COMPUTE filter_$=(proefpersoon ~= 55).
VARIABLE LABEL filter_$ 'proefpersoon ~= 55 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.
*Regressie met ongestandaardiseerde variabelen.
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT houding
  /METHOD=ENTER geslacht schaal1 schaal2.
*Standaardiseren van geslacht en houding.
DESCRIPTIVES VARIABLES=geslacht houding schaal1 schaal2
  /SAVE
  /STATISTICS=MEAN STDDEV MIN MAX.
*Regressie met gestandaardiseerde variabelen.
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT Zhouding
  /METHOD=ENTER Zgeslacht Zschaal1 Zschaal2. 