*Syntax bij oefening 3_1. 

*Opgave a: betrouwbaarheidsinterval vertrouwen in de media. 
*NB met 0 als testwaarde geeft de one-sample t-test het betrouwbaarheidsinterval voor het gemiddelde. 
*T-toetsen met als testwaarde 0. 
T-TEST 
  /TESTVAL = 0 
  /MISSING = ANALYSIS 
  /VARIABLES = v74 
  /CRITERIA = CI(.9) . 
T-TEST 
  /TESTVAL = 0 
  /MISSING = ANALYSIS 
  /VARIABLES = v74 
  /CRITERIA = CI(.95) . 
T-TEST 
  /TESTVAL = 0 
  /MISSING = ANALYSIS 
  /VARIABLES = v74 
  /CRITERIA = CI(.99) . 

*Opgave b en c: toets v74 in de media. 
T-TEST 
  /TESTVAL = 5 
  /MISSING = ANALYSIS 
  /VARIABLES = v74 
  /CRITERIA = CI(.95) . 
T-TEST 
  /TESTVAL = 5 
  /MISSING = ANALYSIS 
  /VARIABLES = v74 
  /CRITERIA = CI(.99) . 

*Opgave d: toets op v54 - v57. 
*Univariate beschrijving. 
EXAMINE 
  VARIABLES=v54 v55 v56 v57 
  /PLOT BOXPLOT 
  /COMPARE GROUP 
  /STATISTICS DESCRIPTIVES EXTREME 
  /CINTERVAL 95 
  /MISSING LISTWISE 
  /NOTOTAL. 
T-TEST 
  /TESTVAL = 5 
  /MISSING = ANALYSIS 
  /VARIABLES = v54 v55 v56 v57 
  /CRITERIA = CI(.95) . 

*Opgave e: t-toets op afhankelijke scores. 
T-TEST 
  PAIRS = v54 v54 v54 WITH v55 v56 v57 (PAIRED) 
  /CRITERIA = CI(.95) 
  /MISSING = ANALYSIS. 

*Opgave f: jongeren versus ouderen. 
*Groeperen van ouderen en jongeren. 
RECODE 
  v3 
  (18 thru 28=1) (29 thru Highest=2) (ELSE=SYSMIS) INTO lftgr . 
VARIABLE LABELS lftgr 'Leeftijdsgroep'. 
EXECUTE . 
*Define Variable Properties. 
*lftgr. 
VALUE LABELS lftgr 
     1 'Jongeren' 
     2 'Ouderen' . 
EXECUTE. 
*Beschrijving/controle van onafhankelijke variabelen. 
FREQUENCIES 
  VARIABLES=v1 lftgr 
  /ORDER= ANALYSIS . 
*Define Variable Properties. 
*v1. 
VALUE LABELS v1 
     0 'vrouw' 
     1 'man' . 
EXECUTE. 
*T-toetsen. 
T-TEST 
  GROUPS = lftgr(1 2) 
  /MISSING = ANALYSIS 
  /VARIABLES = v54 
  /CRITERIA = CI(.95) . 
T-TEST 
  GROUPS = v1(0 1) 
  /MISSING = ANALYSIS 
  /VARIABLES = v54 
  /CRITERIA = CI(.95) . 
