*Syntax bij oefening 3_2.

*Eerst de volwassenen (18 jaar en ouder) selecteren.
USE ALL.
COMPUTE filter_$=(v3  >= 18).
VARIABLE LABEL filter_$ 'v3  >= 18 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
*Controleren of de selectie goed is gegaan.
FREQUENCIES
  VARIABLES=v3
  /ORDER=  ANALYSIS .
*T-toets uitvoeren.
T-TEST
  /TESTVAL = 36.8
  /MISSING = ANALYSIS
  /VARIABLES = v3
  /CRITERIA = CI(.95) .
*Controle van de variabele baan (v4baan): meetniveau aanpassen. 
* Define Variable Properties.
*v4baan.
VARIABLE LEVEL  v4baan(NOMINAL).
EXECUTE.
*Binomiaaltoets op 1 proportie. 
*Nonparametric Tests: One Sample. 
NPTESTS 
  /ONESAMPLE TEST (v4baan) BINOMIAL(TESTVALUE=0.742 SUCCESSCATEGORICAL=LIST(1)) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE 
  /CRITERIA ALPHA=0.05 CILEVEL=95. 