*Syntax bij Oefening 4_3.

*Opgave a.
*Controleer de leeskansvariabelen eerst.
FREQUENCIES
  VARIABLES=lkele lkbmo
  /ORDER=  ANALYSIS .
*Er zijn geen rare waarden.
*Dichotomiseren van leeskans.
RECODE
  lkele lkbmo
  (0=0)  (ELSE=1)  INTO  llkeleHER  lkbmoHER .
VARIABLE LABELS llkeleHER
  'Leeskans Elegance dichotoom' /lkbmoHER 'Leeskans Beau Monde dichotoom'.
EXECUTE .
*Define Variable Properties.
*llkeleHER.
VALUE LABELS  llkeleHER
     0  'Geen leeskans'
     1  'Leeskans'  .
*lkbmoHER.
VALUE LABELS  lkbmoHER
     0  'Geen leeskans'
     1  'Leeskans'  .
EXECUTE.
*Vrouwen selecteren.
USE ALL.
COMPUTE filter_$=(gesl = 2).
VARIABLE LABEL filter_$ 'gesl = 2 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
*Kruistabel leeskans Elegance en Beau Monde.
CROSSTABS
  /TABLES=llkeleHER  BY lkbmoHER
  /FORMAT= AVALUE TABLES
  /STATISTIC=CHISQ PHI
  /CELLS= COUNT EXPECTED SRESID
  /COUNT ROUND CELL .

*Opgave b.
*Hercoderen wel/niet werkzaam zijn (en missing values voor 'No answer').
EXECUTE .
RECODE
  werkz
  (1=1)  (2 thru 4=0)  (ELSE=SYSMIS)  INTO  werkzHER .
VARIABLE LABELS werkzHER 'Werk hebben'.
EXECUTE .
*Define Variable Properties.
*werkzHER.
VALUE LABELS  werkzHER
     0  'geen werk'
     1  'werk'  .
EXECUTE.
*Kruistabel leeskansen naar wel/niet beroepsmatig werkzaam zijn.
CROSSTABS
  /TABLES=llkeleHER lkbmoHER  BY werkzHER
  /FORMAT= AVALUE TABLES
  /STATISTIC=CHISQ PHI LAMBDA
  /CELLS= COUNT EXPECTED SRESID
  /COUNT ROUND CELL .

*Opgave c.
*Hercoderen inkomensklasse.
RECODE
  inkom
  (3=2)  (1 thru 2=1)  (ELSE=SYSMIS)  INTO  inkomHER .
VARIABLE LABELS inkomHER 'Inkomensklasse dichotoom'.
EXECUTE .
*Define Variable Properties.
*inkomHER.
VALUE LABELS  inkomHER
     1  'modaal of minder'
     2  'boven modaal'  .
EXECUTE.
*Kruistabel leeskansen naar wel/niet rijk zijn.
CROSSTABS
  /TABLES=llkeleHER lkbmoHER  BY inkomHER
  /FORMAT= AVALUE TABLES
  /STATISTIC=CHISQ PHI LAMBDA
  /CELLS= COUNT EXPECTED SRESID
  /COUNT ROUND CELL .

*Opgave d.
*Tabelsplitsing.
CROSSTABS
  /TABLES=llkeleHER lkbmoHER  BY werkzHER  BY inkomHER
  /FORMAT= AVALUE TABLES
  /STATISTIC=CHISQ PHI LAMBDA
  /CELLS= COUNT EXPECTED SRESID
  /COUNT ROUND CELL .

*Opgave e.
*Toevoegen mannen en controleren sekse variabele.
FILTER OFF.
USE ALL.
EXECUTE.
FREQUENCIES VARIABLES=gesl
  /ORDER=ANALYSIS.
*Chikwadraattoets op n variabele.
NPAR TESTS
  /CHISQUARE=gesl
  /EXPECTED=49.5 50.5
  /MISSING ANALYSIS.
*Alternatief: toets op n proportie.
*Nonparametric Tests: One Sample. 
NPTESTS 
  /ONESAMPLE TEST (gesl) BINOMIAL(TESTVALUE=0.495 SUCCESSCATEGORICAL=LIST(1) 
    SUCCESSCONTINUOUS=CUTPOINT(MIDPOINT)) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05 CILEVEL=95.
