*Syntax bij oefening 5_2.

*Opdracht a.
*Beschrijven en indien nodig bewerken van de variabelen.
FREQUENCIES
  VARIABLES=v54 v55 v56 v57
  /ORDER=  ANALYSIS .
*Schaalconstructie: PCA.
FACTOR
  /VARIABLES v54 v55 v56 v57  /MISSING LISTWISE /ANALYSIS v54 v55 v56 v57
  /PRINT INITIAL EXTRACTION ROTATION
  /PLOT EIGEN
  /CRITERIA MINEIGEN(1) ITERATE(25)
  /EXTRACTION PC
  /CRITERIA ITERATE(25)
  /ROTATION VARIMAX
  /METHOD=CORRELATION .
*Betrouwbaarheid.
RELIABILITY
  /VARIABLES=v54 v55 v56 v57
  /SCALE('Praten over het nieuws')  ALL/MODEL=ALPHA
  /SUMMARY=TOTAL .
*Betrouwbaarheid bij 3 items.
RELIABILITY
  /VARIABLES=v54 v56 v57
  /SCALE('Praten over het nieuws')  ALL/MODEL=ALPHA
  /SUMMARY=TOTAL .
*Berekening schaalscore.
COMPUTE Schaal = MEAN(v54,v56,v57) .
VARIABLE LABELS Schaal 'Praten over politieke onderwerpen in het nieuws' .
EXECUTE .

*Opdracht b.
*Beschrijven en indien nodig bewerken van de variabelen.
FREQUENCIES
  VARIABLES=v1 v3
  /ORDER=  ANALYSIS .
*Bewerken variabelen.
*Label toevoegen aan mannen.
*Define Variable Properties.
*v1.
VALUE LABELS  v1
     0  'vrouw'
     1  'man'  .
EXECUTE.
*Leeftijd in 3 groepen indelen.
RECODE
  v3
  (18 thru 23=1)  (24 thru 46=2)  (47 thru Highest=3) (ELSE=SYSMIS) INTO  v3groep .
VARIABLE LABELS v3groep 'Leeftijdsklassen'.
EXECUTE .
*Define Variable Properties.
*v3groep.
VALUE LABELS  v3groep
     1  '18 - 23 jaar'
     2  '24 - 46 jaar'
     3  '47 jaar en ouder'  .
EXECUTE.
*Twee-factoren variantieanalyse.
UNIANOVA
  Schaal  BY v1 v3groep
  /METHOD = SSTYPE(3)
  /POSTHOC = v3groep ( BONFERRONI)
  /PLOT = PROFILE( v3groep*v1 )
  /PRINT = HOMOGENEITY DESCRIPTIVE
  /CRITERIA = ALPHA(.05)
  /DESIGN = v1 v3groep v1*v3groep .

*Opdracht c.
*Beschrijven van v7.
FREQUENCIES
  VARIABLES=v7
  /ORDER=  ANALYSIS .
*Een-factor variantieanalyse.
ONEWAY
  Schaal BY v7
  /STATISTICS DESCRIPTIVES HOMOGENEITY
  /PLOT MEANS
  /MISSING ANALYSIS
  /POSTHOC = BONFERRONI ALPHA(.05).

*Opdracht d.
*Drie-weg variantieanalyse.
UNIANOVA
  Schaal  BY v1 v3groep v7
  /METHOD = SSTYPE(3)
  /POSTHOC = v3groep v7 ( BONFERRONI )
  /EMMEANS =TABLES(v7 BY v1) COMPARE(v1) ADJ(BONFERRONI)
  /PLOT = PROFILE( v3groep*v1 v7*v1 v3groep*v7 )
  /PRINT = HOMOGENEITY DESCRIPTIVE
  /CRITERIA = ALPHA(.05)
  /DESIGN = v1 v3groep v7 v1*v3groep v1*v7 v3groep*v7 v1*v3groep*v7 .
