*Syntax bij oefening 6_2. 

*Opgave a. 
*Schaalconstructie v13 - v19. 
*Univariate beschrijving: Frequentieverdelingen voor elke variabele. 
FREQUENCIES 
  VARIABLES=v13 v14 v15 v16 v17 v18 v19 
  /ORDER= ANALYSIS . 
*Univariate bewerking: missings (99) definiren. 
*Define Variable Properties. 
*v14. 
MISSING VALUES v14 ( 99 ). 
*v16. 
MISSING VALUES v16 ( 99 ). 
EXECUTE. 
*Factoranalyse (PCA). 
FACTOR 
  /VARIABLES v13 v14 v15 v16 v17 v18 v19 /MISSING LISTWISE /ANALYSIS v13 v14 
  v15 v16 v17 v18 v19 
  /PRINT INITIAL EXTRACTION ROTATION 
  /PLOT EIGEN 
  /CRITERIA MINEIGEN(1) ITERATE(25) 
  /EXTRACTION PC 
  /CRITERIA ITERATE(25) 
  /ROTATION VARIMAX 
  /METHOD=CORRELATION . 
*NB de factorscores worden nu niet bewaard. 
*Betrouwbaarheidsanalyse. 
RELIABILITY 
  /VARIABLES=v13 v14 v15 v16 v17 v18 v19 
  /SCALE('gratificaties van televisie kijken') ALL 
  /MODEL=ALPHA 
  /STATISTICS=DESCRIPTIVE SCALE 
  /SUMMARY=TOTAL. 
*Schaalscore berekenen en beschrijven. 
COMPUTE tvgratif = MEAN(v13,v14,v15,v16,v17,v18,v19) . 
EXECUTE . 
*Spreidingsdiagram om de vorm van het verband te bepalen. 
GRAPH 
  /SCATTERPLOT(BIVAR)=v5 WITH tvgratif 
  /MISSING=LISTWISE . 
*Regressieanalyse met 1 onafhankelijke variabele. 
REGRESSION 
  /DESCRIPTIVES MEAN STDDEV CORR SIG N 
  /MISSING LISTWISE 
  /STATISTICS COEFF OUTS CI(95) R ANOVA 
  /CRITERIA=PIN(.05) POUT(.10) 
  /NOORIGIN 
  /DEPENDENT v5 
  /METHOD=ENTER tvgratif 
  /SCATTERPLOT=(*ZRESID ,*ZPRED) 
  /RESIDUALS HIST(ZRESID). 

*Opgave b. 
*Beschrijven onafhankelijke variabelen. 
FREQUENCIES 
  VARIABLES=v4baan v3 v73 
  /ORDER= ANALYSIS . 
*Weglaten kinderen onder 18 jaar. 
USE ALL. 
COMPUTE filter_$=(v3 > 17). 
VARIABLE LABEL filter_$ 'v3 > 17 (FILTER)'. 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMAT filter_$ (f1.0). 
FILTER BY filter_$. 
EXECUTE . 
*Spreidingsdiagrammen. 
GRAPH 
  /SCATTERPLOT(BIVAR)=v3 WITH v5 
  /MISSING=LISTWISE . 
GRAPH 
  /SCATTERPLOT(BIVAR)=v73 WITH v5 
  /MISSING=LISTWISE . 
REGRESSION 
  /DESCRIPTIVES MEAN STDDEV CORR SIG N 
  /MISSING LISTWISE 
  /STATISTICS COEFF OUTS CI(95) R ANOVA CHANGE 
  /CRITERIA=PIN(.05) POUT(.10) 
  /NOORIGIN 
  /DEPENDENT v5 
  /METHOD=STEPWISE tvgratif v3 v4baan v73 
  /SCATTERPLOT=(*ZRESID ,*ZPRED) 
  /RESIDUALS HIST(ZRESID) . 
