*Syntax Oefening 6_3e.

*Opgave a.
*Beschrijven van variabelen.
FREQUENCIES VARIABLES=NOS1 HVN1 PW1 NwsU1 UIT1 Dagblad1 Opinie1 Radio1 Blog1 Twitter1 Dagblad2 NOS2 
    HVN2 PW2 NwsU2 UIT2 Opinie2 Radio2 Blog2 Twitter2
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN SKEWNESS SESKEW
  /ORDER=ANALYSIS.
*Index berekenen voor beide tijdstippen.
COMPUTE Mediagebruik1=NOS1+HVN1+PW1+NwsU1+UIT1+Dagblad1+Opinie1+Radio1+Blog1+Twitter1.
VARIABLE LABELS  Mediagebruik1 'Index mediagebruik op tijdstip 1'.
EXECUTE.
COMPUTE Mediagebruik2=NOS2+HVN2+PW2+NwsU2+UIT2+Dagblad2+Opinie2+Radio2+Blog2+Twitter2.
VARIABLE LABELS  Mediagebruik2 'Index mediagebruik op tijdstip 2'.
EXECUTE.
*Beschrijven van de indexen.
FREQUENCIES VARIABLES=Mediagebruik1 Mediagebruik2
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN SKEWNESS SESKEW
  /ORDER=ANALYSIS.

*Opgave b.
*t-toets op gepaarde waarnemingen met bootstrap.
BOOTSTRAP
  /SAMPLING METHOD=SIMPLE
  /VARIABLES INPUT=Mediagebruik1  Mediagebruik2  
  /CRITERIA CILEVEL=95 CITYPE=PERCENTILE  NSAMPLES=5000
  /MISSING USERMISSING=EXCLUDE.
T-TEST PAIRS=Mediagebruik1 WITH Mediagebruik2 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

*Opgave c.
*Controleer de variabelen.
FREQUENCIES VARIABLES=kennis1 kennis2
  /STATISTICS=MEDIAN
  /ORDER=ANALYSIS.
* Define Variable Properties.
*kennis2.
MISSING VALUES kennis2(10).
EXECUTE.
*Toets op de rangcorrelatiecoefficient voor beide operationaliseringen op beide meetmomenten.
BOOTSTRAP
  /SAMPLING METHOD=SIMPLE
  /VARIABLES INPUT=kennis1 kennis2 Mediagebruik1 Mediagebruik2 
  /CRITERIA CILEVEL=95 CITYPE=PERCENTILE  NSAMPLES=5000
  /MISSING USERMISSING=EXCLUDE.
NONPAR CORR
  /VARIABLES=kennis1 kennis2 Mediagebruik1 Mediagebruik2
  /PRINT=SPEARMAN ONETAIL NOSIG
  /MISSING=PAIRWISE.
