*Syntax Oefening 6_5.

*Logaritme (LN) nemen van leeskans Telegraaf.
COMPUTE LogLKteg = LN(lkteg + 1) .
EXECUTE .
*Beschrijven.
FREQUENCIES VARIABLES=LogLKteg
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /HISTOGRAM NORMAL
  /ORDER=ANALYSIS.
*Dummyvariabelen voor leeskansen omroepbladen.
RECODE
  lkavr lkmik lkncr lkstk lktev lktrk lktkr lkvar lkver lkvis lkvpr
  (0=0)  (ELSE=1)  INTO  AVRO  Mikrogids  NCRV  TVstudio  Televizier
  TROSkompas  TVkrant  VARA  Veronica  VisieEO  VPRO .
EXECUTE .

*Regressieanalyse: stepwise.
REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA CHANGE
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT LogLKteg
  /METHOD=STEPWISE AVRO Mikrogids NCRV TVstudio Televizier TROSkompas TVkrant VARA Veronica VisieEO 
    VPRO
  /SCATTERPLOT=(*ZRESID ,*ZPRED)
  /RESIDUALS HIST(ZRESID).
