﻿* Encoding: UTF-8.
*Werkgroepopdracht week 4.

*a - Representativiteit leeftijden Nederlanders.
*Selecteer de Nederlanders.
USE ALL.
COMPUTE filter_$=(q02 = 11).
VARIABLE LABELS filter_$ 'q02 = 11 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.
*Inspecteer leeftijdvariabele.
* NB check values in Data View of met Data>Define variable properties.
FREQUENCIES VARIABLES=d11_b
  /ORDER=ANALYSIS.
*Chikwadraattoets op 1 frequentieverdeling.
* Via nieuwe dialog.
*Nonparametric Tests: One Sample. 
NPTESTS 
  /ONESAMPLE TEST (d11_b) 
    CHISQUARE(EXPECTED=CUSTOM(CATEGORIES=1 2 3 4  
    FREQUENCIES=16.5 27.5 22.5 
    33.5 )) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05 CILEVEL=95.
* Via legacy dialogs.
NPAR TESTS
  /CHISQUARE=d11_b
  /EXPECTED=16.5 27.5 22.5 33.5
  /MISSING ANALYSIS.

*b - Verklaren mening over profijt EU.
*Alle cases selecteren (niet alleen Nederlanders).
FILTER OFF.
USE ALL.
EXECUTE.
*Voorbeeld: naar land.
*Inspecteer variabelen.
FREQUENCIES VARIABLES=q02 q11
  /ORDER=ANALYSIS.
*Maak 'Geen antwoord' missing.
* Define Variable Properties.
*q11.
MISSING VALUES q11(3).
EXECUTE.
*Kruistabel met chikwadraattoets.
* Vraag associatiemaat, chikwadraat, verwachte waarden 
   en gestandaardiseerde celresiduen op.
CROSSTABS
  /TABLES=q02 BY q11
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI LAMBDA 
  /CELLS=COUNT EXPECTED SRESID 
  /COUNT ROUND CELL.

*c - Narekenen verwachte waarde en gestandaardiseerd celresidu.
*Handmatig met formules van het formuleblad.

*d - Rangcorrelatie.
*Inspecteer variabelen.
FREQUENCIES VARIABLES=q4 p6_net
  /ORDER=ANALYSIS.
*Maak 'Geen antwoord' missing.
* Define Variable Properties.
*q4.
MISSING VALUES q4(11).
EXECUTE.
*Rangcorrelatie (met tweezijdige toets).
NONPAR CORR
  /VARIABLES=q4 p6_net
  /PRINT=SPEARMAN TWOTAIL NOSIG
  /MISSING=PAIRWISE.

