﻿* Encoding: UTF-8.
*Werkgroepbijeenkomst week 6.

*a - Regressieanalyse met succes.
*Voorbeeld: Leeftijd en zelfvertrouwen als numerieke voorspellers 
 en muzikale beroepsopleiding als categorische variabele.
*Beschrijf de variabelen.
FREQUENCIES VARIABLES=Leeftijd Zelfvertrouwen Cons Succes
  /ORDER=ANALYSIS.
*Maak succes '99' missing.
* Define Variable Properties.
*Succes.
MISSING VALUES Succes(99.00).
EXECUTE.
*Categorische voorspeller omzetten in dummy variabelen.
* Vergelijkingscategorie: geen conservatorium.
RECODE Cons (1=1) (ELSE=0) INTO Cons_klaar.
VARIABLE LABELS  Cons_klaar 'Conservatorium gedaan'.
EXECUTE.
RECODE Cons (2=1) (ELSE=0) INTO Cons_nu.
VARIABLE LABELS  Cons_nu 'Conservatorium bezig'.
EXECUTE.
*Regressieanalyse.
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT Succes
  /METHOD=ENTER Leeftijd Zelfvertrouwen Cons_klaar Cons_nu
  /SCATTERPLOT=(*ZRESID ,*ZPRED)
  /RESIDUALS HISTOGRAM(ZRESID).

*b - Voorbeeld: Toevoegen sociale ondersteuning als voorspeller.
*Beschrijf variabele.
FREQUENCIES VARIABLES=Ondersteuning
  /ORDER=ANALYSIS.
*Toevoegen aan regressiemodel.
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA CHANGE
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT Succes
  /METHOD=ENTER Leeftijd Zelfvertrouwen Cons_klaar Cons_nu
  /METHOD=ENTER Ondersteuning
  /SCATTERPLOT=(*ZRESID ,*ZPRED)
  /RESIDUALS HISTOGRAM(ZRESID).

*c - handmatig berekenen met het formuleblad.

*d - Betrouwbaarheidsinterval van de mediaan.
*Beschrijf variabele.
FREQUENCIES VARIABLES=Les
  /ORDER=ANALYSIS.
*Bootstrap op mediaan met 5000 steekproeven.
BOOTSTRAP
  /SAMPLING METHOD=SIMPLE
  /VARIABLES INPUT=Les 
  /CRITERIA CILEVEL=95 CITYPE=PERCENTILE  NSAMPLES=5000
  /MISSING USERMISSING=EXCLUDE.
FREQUENCIES VARIABLES=Les
  /STATISTICS=MEDIAN
  /ORDER=ANALYSIS.

*e - Bootstrap of permutatietoets op 2 gemiddelden.
*Permutatietoets.
NPAR TESTS
  /M-W= Ondersteuning BY Kind(1 2)
  /MISSING ANALYSIS
  /METHOD=EXACT TIMER(5).
*t-toets met bootstrap.
BOOTSTRAP
  /SAMPLING METHOD=SIMPLE
  /VARIABLES TARGET=Ondersteuning INPUT=Kind 
  /CRITERIA CILEVEL=95 CITYPE=PERCENTILE  NSAMPLES=5000
  /MISSING USERMISSING=EXCLUDE.
T-TEST GROUPS=Kind(1 2)
  /MISSING=ANALYSIS
  /VARIABLES=Ondersteuning
  /CRITERIA=CI(.95).
