*Syntax bij Oefening 3_5.

*Opgave a: schaalconstructie en betrouwbaarheid.
*Univariaat beschrijven en bewerken.
FREQUENCIES
  VARIABLES=g18p1 g18p3 g18p4 h1p16
  /ORDER=  ANALYSIS .
*Define Variable Properties.
*g18p1.
MISSING VALUES g18p1 ( 6, 7 ).
*g18p3.
MISSING VALUES g18p3 ( 6, 7 ).
*g18p4.
MISSING VALUES g18p4 ( 6, 7 ).
*h1p16.
MISSING VALUES h1p16 ( 7, 8 ).
EXECUTE.

*Schaalconstructie.
FACTOR
  /VARIABLES g18p1 g18p3 g18p4 h1p16 
  /ANALYSIS g18p1 g18p3 g18p4 h1p16
  /PRINT INITIAL EXTRACTION ROTATION
  /PLOT EIGEN
  /CRITERIA MINEIGEN(1) ITERATE(25)
  /EXTRACTION PC
  /CRITERIA ITERATE(25)
  /ROTATION VARIMAX
  /METHOD=CORRELATION .

*Betrouwbaarheid.
RELIABILITY
  /VARIABLES=g18p1 g18p3 g18p4 h1p16
  /SCALE('ALL VARIABLES')  ALL/MODEL=ALPHA
  /STATISTICS=CORR
  /SUMMARY=TOTAL .

*Omscoren h1p16.
RECODE
  h1p16
  (1=6)  (2=5)  (3=4)  (4=3)  (5=2)  (6=1)  INTO  h1p16HER .
VARIABLE LABELS h1p16HER 'Winkelen en bezit - bezoekfrequentie parfumerie (omgescoord)'.
EXECUTE .
*Define Variable Properties.
*h1p16.
VALUE LABELS  h1p16HER
     1  '1 of meer keer per week'
     2  '1 keer per 2 weken'
     3  '1 keer per maand'
     4  '1 keer per kwartaal'
     5  'minder dan 1 keer per kwartaal'
     6  'nooit'
     7  'geen antwoord'
     8  'no answers'  .
EXECUTE.

*Betrouwbaarheid opnieuw.
RELIABILITY
  /VARIABLES=g18p1 g18p3 g18p4 h1p16HER
  /SCALE('ALL VARIABLES')  ALL/MODEL=ALPHA
  /STATISTICS=CORR
  /SUMMARY=TOTAL .
*Betrouwbaarheid zonder h1p16HER.
RELIABILITY
  /VARIABLES=g18p1 g18p3 g18p4
  /SCALE('ALL VARIABLES')  ALL/MODEL=ALPHA
  /STATISTICS=CORR
  /SUMMARY=TOTAL .

*Opgave b: houding cosmetica en leeskans.
*Berekening schaalscore.
COMPUTE cosmetica = MEAN(g18p1, g18p3, g18p4).
VARIABLE LABELS cosmetica 'Cosmetica als gewoon produkt' .
EXECUTE .
*Beschrijving.
FREQUENCIES
  VARIABLES=cosmetica
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=  ANALYSIS .
*Leeskans: zelf proberen; de meetniveaus staan het gebruik van de correlatiecofficint toe, maar controleer of het verband niet duidelijk krom is.

*Opgave c: houding cosmetica en leeskans.
*Voer zelf asymmetrische analyses uit met de achtergrondvariabelen als de onafhankelijke variabelen.