*Syntax bij oefening 2_1.

*Opgave a: beschrijven v21 - v31.
*Frequentieverdelingen met een histogram voor elke variabele.
FREQUENCIES
  VARIABLES=v21 v22 v23 v24 v25 v26 v27 v28 v29 v30 v31
  /HISTOGRAM
  /ORDER=  ANALYSIS .

*Opgave b: 78 als missing value bij v24.
*Define Variable Properties.
*v24.
MISSING VALUES v24 ( 78 ).
EXECUTE.

*Opgave c en d: principale-componenten-factoranalyse.
* Standaard met eigenwaarde-criterium en varimax rotatie.
FACTOR
  /VARIABLES v21 v22 v23 v24 v25 v26 v27 v28 v29 v30 v31  /MISSING LISTWISE
 /ANALYSIS v21 v22 v23 v24 v25 v26 v27 v28 v29 v30 v31
  /PRINT INITIAL EXTRACTION ROTATION
  /PLOT EIGEN
  /CRITERIA MINEIGEN(1) ITERATE(25)
  /EXTRACTION PC
  /CRITERIA ITERATE(25)
  /ROTATION VARIMAX
  /SAVE REG(ALL)
  /METHOD=CORRELATION .
*Naam van variabelen met factorscores aanpassen aan de interpretatie.
*Define Variable Properties.
*FAC1_1.
VARIABLE LABELS FAC1_1  'Mening over de betrouwbaarheid van het nieuws'.
*FAC2_1.
VARIABLE LABELS FAC2_1  'Motieven om over het nieuws te praten'.
EXECUTE.

*Opgave e: beschrijving van de tijd die men naar televisie kijkt.
FREQUENCIES
  VARIABLES=v5uur v5min v6uur v6min  /FORMAT=NOTABLE
  /HISTOGRAM
  /ORDER=  ANALYSIS .

*Opgave f: univariate bewerking.
*De waarden die voorkomen zijn geloofwaardig. Er hoeven geen extra missing values gedefinieerd te worden.

*Opgave g: indexvariabele laten berekenen.
*NB je kunt de nieuwe variabelen natuurlijk ook een andere naam geven.
COMPUTE TVpweek = ((v5uur + v5min / 60) * 5) + ((v6uur + v6min / 60) * 2) .
VARIABLE LABELS TVpweek 'Aantal uren tv kijken per week' .
EXECUTE .

*Opgave h: Beschrijf en beoordeel de nieuwe variabele.
*Een histogram met de relevante centrum en spreidingsmaat.
FREQUENCIES
  VARIABLES=TVpweek  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MEAN
  /HISTOGRAM
  /ORDER=  ANALYSIS .

*Opgave i: bivariate samenhang tussen televisiekijktijd en houding ten opzichte van het nieuws.
GRAPH
  /SCATTERPLOT(BIVAR)=TVpweek WITH FAC1_1
  /MISSING=LISTWISE .
GRAPH
  /SCATTERPLOT(BIVAR)=TVpweek WITH FAC2_1
  /MISSING=LISTWISE .

*Opgave j en k: associatie.
CORRELATIONS
  /VARIABLES=FAC1_1 FAC2_1 TVpweek
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE .

*Opgave l: beschrijving en eventuele bewerking van de variabele geslacht.
FREQUENCIES
  VARIABLES=v1
  /ORDER=  ANALYSIS .
*Toevoegen value label voor mannen.
*Define Variable Properties.
*v1.
VALUE LABELS  v1
     0  'vrouw'
     1  'man'  .
EXECUTE.

*Opgave m: Bewerk de variabele houding.
FREQUENCIES
  VARIABLES=FAC1_1
  /NTILES= 5
  /ORDER=  ANALYSIS .
*Hercoderen.
RECODE
  FAC1_1
  (Lowest thru -0.85=1)  (-0.85 thru -0.19=2)  (-0.19 thru 0.33=3)  (0.33
  thru 0.88=4)  (0.88 thru Highest=5)  INTO  FAC1_1HER .
VARIABLE LABELS FAC1_1HER 'Mening over betrouwbaarheid nieuws in 5 klassen'.
EXECUTE .
*Controle op hercodering.
FREQUENCIES
  VARIABLES=FAC1_1HER
  /ORDER=  ANALYSIS .

*Opgave n: Beschrijf de bivariate verdeling.
CROSSTABS
  /TABLES=FAC1_1HER  BY v1
  /FORMAT= AVALUE TABLES
  /STATISTIC=LAMBDA
  /CELLS= COUNT COLUMN
  /COUNT ROUND CELL .
