* Encoding: windows-1252.
*Syntax bij oefening 3.4.

*Opgave a.
*Beschrijving van de gegevens.
FREQUENCIES
  VARIABLES=country q2301 q2302 q2303 q2304 q2305 q2306 q2307 q2308
  /ORDER=  ANALYSIS .
*Groeperen andere landen.
RECODE
  country
  (11=1)  (ELSE=0)  INTO  landHER .
VARIABLE LABELS landHER 'Nederland versus de overige landen'.
EXECUTE .
*Define Variable Properties.
*landHER.
VALUE LABELS  landHER
     0  'Overige landen'
     1  'Nederland'  .
EXECUTE.
* 'Don't Know' als missing value definiren.
*Define Variable Properties.
*q2301.
MISSING VALUES q2301 ( 5 ).
*q2302.
MISSING VALUES q2302 ( 5 ).
*q2303.
MISSING VALUES q2303 ( 5 ).
*q2304.
MISSING VALUES q2304 ( 5 ).
*q2305.
MISSING VALUES q2305 ( 5 ).
*q2306.
MISSING VALUES q2306 ( 5 ).
*q2307.
MISSING VALUES q2307 ( 5 ).
*q2308.
MISSING VALUES q2308 ( 5 ).
EXECUTE.
*Schaalconstructie: validiteit.
FACTOR
  /VARIABLES q2301 q2302 q2303 q2304 q2305 q2306 q2307 q2308  /MISSING
  LISTWISE /ANALYSIS q2301 q2302 q2303 q2304 q2305 q2306 q2307 q2308
  /PRINT INITIAL EXTRACTION ROTATION
  /PLOT EIGEN
  /CRITERIA MINEIGEN(1) ITERATE(25)
  /EXTRACTION PC
  /CRITERIA ITERATE(25)
  /ROTATION VARIMAX
  /METHOD=CORRELATION .
*Schaalconstructie: betrouwbaarheid.
RELIABILITY
  /VARIABLES=q2301 q2302 q2303 q2304 q2305 q2306 q2307 q2308
  /SCALE('Bezorgdheid')  ALL/MODEL=ALPHA
  /STATISTICS=CORR
  /SUMMARY=TOTAL .
*Schaalvariabele aanmaken.
COMPUTE bezorgd = mean(q2301,q2302,q2303,q2304,q2305,q2306,q2307,q2308) .
VARIABLE LABELS bezorgd 'Bezorgdheid over de euro' .
EXECUTE .
*Beschrijven/beoordelen van de schaalvariabele.
EXAMINE
  VARIABLES=bezorgd
  /PLOT BOXPLOT
  /COMPARE GROUP
  /STATISTICS DESCRIPTIVES EXTREME
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
*T-toets.
T-TEST
  GROUPS = landHER(1 0)
  /MISSING = ANALYSIS
  /VARIABLES = bezorgd
  /CRITERIA = CI(.95) .

*Opgave b.
*Beschrijven/controleren van leeftijden.
FREQUENCIES VARIABLES=d11
  /ORDER=ANALYSIS.
*Correlatie.
CORRELATIONS
  /VARIABLES=d11 bezorgd
  /PRINT=ONETAIL NOSIG
  /MISSING=PAIRWISE.
