* Encoding: windows-1252.
*Syntax Oefening 4_6.

*Opgave a.
*Beschrijven variabele.
FREQUENCIES VARIABLES=FavComm
  /ORDER=ANALYSIS.
*Weglaten mensen zonder voorkeur.
USE ALL.
COMPUTE filter_$=(FavComm > 0).
VARIABLE LABEL filter_$ 'FavComm > 0 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.
*Chikwadraattoets op gelijke proporties in de populatie.
NPAR TESTS
  /CHISQUARE=FavComm
  /EXPECTED=EQUAL
  /MISSING ANALYSIS.

*Opgave b.
*Beschrijf de variabelen.
FREQUENCIES VARIABLES=Geslacht Leeftijd
  /ORDER=ANALYSIS.
*Chikwadraattoets op kruistabel Geslacht * Voorkeursomroep.
CROSSTABS
  /TABLES=FavComm BY Geslacht
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ LAMBDA
  /CELLS=COUNT EXPECTED SRESID 
  /COUNT ROUND CELL.
*Chikwadraattoets op kruistabel Leeftijd * Voorkeursomroep.
CROSSTABS
  /TABLES=FavComm BY Leeftijd
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ LAMBDA
  /CELLS=COUNT EXPECTED SRESID 
  /COUNT ROUND CELL.
*Samenvoegen van de leeftijdcategorieen 30-64 en 65+.
RECODE Leeftijd (4 thru 5=4) (ELSE=Copy) INTO Leeft4.
VARIABLE LABELS  Leeft4 'Leeftijd in 4 klassen'.
EXECUTE.
*Value labels veranderen.
* Define Variable Properties.
*Leeft4.
VALUE LABELS Leeft4
  1 '6-12 jaar'
  2 '13-18 jaar'
  3 '20-29 jaar'
  4 '30 en ouder'.
EXECUTE.
*Chikwadraattoets op kruistabel Leeft4 * Voorkeursomroep.
CROSSTABS
  /TABLES=FavComm BY Leeft4
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ LAMBDA
  /CELLS=COUNT EXPECTED SRESID 
  /COUNT ROUND CELL.
*Fisher-exacttoets op (oorspronkelijke) kruistabel Geslacht * Voorkeursomroep.
*LET OP: dit kan veel tijd kosten.
CROSSTABS
  /TABLES=FavComm BY Leeftijd
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ LAMBDA 
  /CELLS=COUNT EXPECTED SRESID 
  /COUNT ROUND CELL
  /METHOD=EXACT TIMER(5).

*Opgave d.
*Meenemen respondenten zonder voorkeur voor 1 van de 4 omroepen.
FILTER OFF.
USE ALL.
EXECUTE.
*Beschrijf de variabele Kijktijd.
EXAMINE VARIABLES=Kijktijd
  /PLOT BOXPLOT
  /COMPARE GROUP
  /STATISTICS DESCRIPTIVES EXTREME
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
*Toets op de rangcorrelatie.
NONPAR CORR
  /VARIABLES=Leeftijd Kijktijd
  /PRINT=SPEARMAN TWOTAIL NOSIG
  /MISSING=PAIRWISE.
