*Oefening 5_1.

*Opgave a.
*Controleren van de variabelen.
FREQUENCIES
  VARIABLES=v1 v10
  /ORDER=  ANALYSIS .
*Value label voor man ontbreekt.
*Define Variable Properties.
*v1.
VALUE LABELS  v1
     0  'vrouw'
     1  'man'  .
EXECUTE.
*1-factor variantieanalyse.
ONEWAY v10 BY v1
  /STATISTICS DESCRIPTIVES HOMOGENEITY 
  /PLOT MEANS
  /MISSING ANALYSIS
  /POSTHOC=BONFERRONI ALPHA(0.05).

*Opgave b.
*T-toets.
T-TEST
  GROUPS = v1(0 1)
  /MISSING = ANALYSIS
  /VARIABLES = v10
  /CRITERIA = CI(.95) .

*Opgave c.
*Beschrijving van V2.
FREQUENCIES
  VARIABLES=v2
  /ORDER=  ANALYSIS .
*Hercoderen opleidingsniveau.
RECODE
  v2
  (1 thru 3=1)  (4 thru 5=2)  (6 thru 7=3)  INTO  v2HER .
VARIABLE LABELS v2HER 'Opleidingsniveau in 3 klassen.'.
EXECUTE .
*Define Variable Properties.
*v2HER.
VALUE LABELS  v2HER
     1  'laag'
     2  'middelbaar'
     3  'hoog'  .
EXECUTE.
ONEWAY
  v10 BY v2HER
  /STATISTICS DESCRIPTIVES HOMOGENEITY
  /PLOT MEANS
  /MISSING ANALYSIS
  /POSTHOC=BONFERRONI ALPHA(0.05).

*Opgave d.
*2-factoren variantieanalyse.
UNIANOVA
  v10  BY v1 v2HER
  /METHOD = SSTYPE(3)
  /POSTHOC = v2HER (BONFERRONI)
  /EMMEANS=TABLES(v1 BY v2HER) COMPARE(v2HER) ADJ(BONFERRONI)
  /PLOT = PROFILE( v2HER*v1 )
  /PRINT = HOMOGENEITY DESCRIPTIVE
  /CRITERIA = ALPHA(.05)
  /DESIGN = v1 v2HER v1*v2HER .
