*Oefening 6_1. 

*Opgave a. 
*Controleren van de variabelen. 
FREQUENCIES 
  VARIABLES=v10 v3 
  /ORDER= ANALYSIS . 
*Weglaten kinderen onder 18 jaar. 
USE ALL. 
COMPUTE filter_$=(v3 > 17). 
VARIABLE LABEL filter_$ 'v3 > 17 (FILTER)'. 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMAT filter_$ (f1.0). 
FILTER BY filter_$. 
EXECUTE . 
*Spreidingsdiagram om de vorm van het verband te bepalen. 
GRAPH 
  /SCATTERPLOT(BIVAR)=v3 WITH v10 
  /MISSING=LISTWISE . 
*Enkelvoudige regressianalyse. 
REGRESSION 
  /DESCRIPTIVES MEAN STDDEV CORR SIG N 
  /MISSING LISTWISE 
  /STATISTICS COEFF OUTS CI(95) R ANOVA 
  /CRITERIA=PIN(.05) POUT(.10) 
  /NOORIGIN 
  /DEPENDENT v10 
  /METHOD=ENTER v3 
  /SCATTERPLOT=(*ZRESID ,*ZPRED) 
  /RESIDUALS HIST(ZRESID). 

*Opgave b. 
*Beschrijven van v73, inclusief spreidingsdiagram met internetgebruik. 
FREQUENCIES 
  VARIABLES=v73 
  /STATISTICS=SKEWNESS SESKEW 
  /ORDER= ANALYSIS . 
GRAPH 
  /SCATTERPLOT(BIVAR)=v73 WITH v10 
  /MISSING=LISTWISE . 
*Regressieanalyse. 
REGRESSION 
  /DESCRIPTIVES MEAN STDDEV CORR SIG N 
  /MISSING LISTWISE 
  /STATISTICS COEFF OUTS CI(95) R ANOVA 
  /CRITERIA=PIN(.05) POUT(.10) 
  /NOORIGIN 
  /DEPENDENT v10 
  /METHOD=ENTER v3 v73 
  /SCATTERPLOT=(*ZRESID ,*ZPRED) 
  /RESIDUALS HIST(ZRESID). 

*Opgave c. 
*Univariaat beschrijven van de variabele die de televisiekijktijd aangeeft. 
FREQUENCIES 
  VARIABLES=v5 
  /ORDER= ANALYSIS . 
*Spreidingsdiagram om de vorm van het verband te bepalen. 
GRAPH 
  /SCATTERPLOT(BIVAR)=v5 WITH v10 
  /MISSING=LISTWISE . 
*Regressieanalyse met 3 onafhankelijke variabelen. 
REGRESSION 
  /DESCRIPTIVES MEAN STDDEV CORR SIG N 
  /MISSING LISTWISE 
  /STATISTICS COEFF OUTS CI(95) R ANOVA 
  /CRITERIA=PIN(.05) POUT(.10) 
  /NOORIGIN 
  /DEPENDENT v10 
  /METHOD=ENTER v3 v73 v5 
  /SCATTERPLOT=(*ZRESID ,*ZPRED) 
  /RESIDUALS HIST(ZRESID). 

*Opgave d. 
*Hernoemen van v1 (sekse) tot 'man'. 
*Define Variable Properties. 
*v1. 
VARIABLE LABELS v1 'Man'. 
VALUE LABELS v1 
   0 'niet' 
   1 'wel' . 
EXECUTE. 
*Meervoudige regressieanalyse inclusief man dummyvariabele. 
REGRESSION 
  /DESCRIPTIVES MEAN STDDEV CORR SIG N 
  /MISSING LISTWISE 
  /STATISTICS COEFF OUTS CI(95) R ANOVA 
  /CRITERIA=PIN(.05) POUT(.10) 
  /NOORIGIN 
  /DEPENDENT v10 
  /METHOD=ENTER v3 v73 v5 v1 
  /SCATTERPLOT=(*ZRESID ,*ZPRED) 
  /RESIDUALS HIST(ZRESID). 
*Enkelvoudige regressieanalyse met de man dummyvariabele. 
REGRESSION 
  /DESCRIPTIVES MEAN STDDEV CORR SIG N 
  /MISSING LISTWISE 
  /STATISTICS COEFF OUTS CI(95) R ANOVA 
  /CRITERIA=PIN(.05) POUT(.10) 
  /NOORIGIN 
  /DEPENDENT v10 
  /METHOD=ENTER v1 
  /SCATTERPLOT=(*ZRESID ,*ZPRED) 
  /RESIDUALS HIST(ZRESID). 

*Opgave e. 
*Beschrijving van V2. 
FREQUENCIES 
  VARIABLES=v2 
  /ORDER= ANALYSIS . 
*Dummyvariabelen maken voor opleidingsniveau. 
RECODE 
  v2 
  (4 thru 5=1) (else =0) INTO Middelbaar . 
VARIABLE LABELS Middelbaar 'Middelbaar onderwijsniveau'. 
EXECUTE . 
*Define Variable Properties. 
*Middelbaar . 
VALUE LABELS Middelbaar 
   0 'niet' 
   1 'wel' . 
EXECUTE. 
RECODE 
  v2 
  (6 thru 7=1) (else =0) INTO Hoger . 
VARIABLE LABELS Hoger 'Hoger onderwijsniveau'. 
EXECUTE . 
*Define Variable Properties. 
*Hoger . 
VALUE LABELS Hoger 
   0 'niet' 
   1 'wel' . 
EXECUTE. 
*Meervoudige regressieanalyse. 
REGRESSION 
  /DESCRIPTIVES MEAN STDDEV CORR SIG N 
  /MISSING LISTWISE 
  /STATISTICS COEFF OUTS CI(95) R ANOVA 
  /CRITERIA=PIN(.05) POUT(.10) 
  /NOORIGIN 
  /DEPENDENT v10 
  /METHOD=ENTER v3 v73 v5 v1 Middelbaar Hoger 
  /SCATTERPLOT=(*ZRESID ,*ZPRED) 
  /RESIDUALS HIST(ZRESID). 
