*Syntax bij Oefening 6_2e.

*Opgave a.
*Controleer de leeskansvariabelen eerst.
FREQUENCIES
  VARIABLES=lkele lkbmo
  /ORDER=  ANALYSIS .
*Er zijn geen rare waarden.
*Vrouwen selecteren.
USE ALL.
COMPUTE filter_$=(gesl = 2).
VARIABLE LABEL filter_$ 'gesl = 2 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
*t-toets met bootstrap.
BOOTSTRAP
  /SAMPLING METHOD=SIMPLE
  /VARIABLES INPUT=lkele lkbmo  
  /CRITERIA CILEVEL=95 CITYPE=PERCENTILE  NSAMPLES=5000
  /MISSING USERMISSING=EXCLUDE.
T-TEST PAIRS=lkbmo WITH lkele (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

*Opgave b.
*Hercoderen wel/niet werkzaam zijn (en missing values voor 'No answer').
RECODE
  werkz
  (1=1)  (2 thru 4=0)  (ELSE=SYSMIS)  INTO  werkzHER .
VARIABLE LABELS werkzHER 'Werk hebben'.
EXECUTE .
*Define Variable Properties.
*werkzHER.
VALUE LABELS  werkzHER
     0  'geen werk'
     1  'werk'  .
EXECUTE.
*t-toets met bootstrap.
BOOTSTRAP
  /SAMPLING METHOD=SIMPLE
  /VARIABLES TARGET=lkele lkbmo INPUT=werkzHER 
  /CRITERIA CILEVEL=95 CITYPE=PERCENTILE  NSAMPLES=5000
  /MISSING USERMISSING=EXCLUDE.
T-TEST GROUPS=werkzHER(0 1)
  /MISSING=ANALYSIS
  /VARIABLES=lkele lkbmo
  /CRITERIA=CI(.95).

*Opgave c.
*Controleren leeftijd.
FREQUENCIES VARIABLES=lfnum1
  /ORDER=ANALYSIS.
*Correlatie met bootstrap.
BOOTSTRAP
  /SAMPLING METHOD=SIMPLE
  /VARIABLES INPUT=lfnum1 lkele lkbmo 
  /CRITERIA CILEVEL=95 CITYPE=PERCENTILE  NSAMPLES=5000
  /MISSING USERMISSING=EXCLUDE.
CORRELATIONS
  /VARIABLES=lfnum1 lkele lkbmo
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE.
