*Syntax Oefening 6_3.

*Opgave a.

*Beschrijving van de variabelen.
FREQUENCIES
  VARIABLES=v21 v27 v8 v9 v11
  /STATISTICS=SKEWNESS SESKEW
  /ORDER=  ANALYSIS .
*Missings voor 7 en 8 op v11.
*Define Variable Properties.
*v11.
MISSING VALUES v11 ( 7, 8 ).
EXECUTE.

*Spreidingsdiagrammen.
GRAPH
  /SCATTERPLOT(BIVAR)=v27 WITH v21
  /MISSING=LISTWISE .
GRAPH
  /SCATTERPLOT(BIVAR)=v8 WITH v21
  /MISSING=LISTWISE .
GRAPH
  /SCATTERPLOT(BIVAR)=v9 WITH v21
  /MISSING=LISTWISE .
GRAPH
  /SCATTERPLOT(BIVAR)=v11 WITH v21
  /MISSING=LISTWISE .

*Meervoudige regresieanalyse.
REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT v21
  /METHOD=ENTER v27 v8 v9 v11
  /SCATTERPLOT=(*ZRESID ,*ZPRED)
  /RESIDUALS HIST(ZRESID).

*Opgave b.
*Beschrijving sekse.
FREQUENCIES
  VARIABLES=v1
  /ORDER=  ANALYSIS .
*Define Variable Properties.
*v1.
VALUE LABELS  v1
     0  'vrouw'
     1  'man'  .
EXECUTE.
*T-toets.
T-TEST
  GROUPS = v1(0 1)
  /MISSING = ANALYSIS
  /VARIABLES = v21
  /CRITERIA = CI(.95) .
*Dummyvariabele vrouw.
RECODE
  v1
  (0=1)  (1=0)  INTO  Vrouw .
EXECUTE .
*Enkelvoudige regressie met deze dummyvariabele.
REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT v21
  /METHOD=ENTER Vrouw 
  /SCATTERPLOT=(*ZRESID ,*ZPRED)
  /RESIDUALS HIST(ZRESID) .
*Beschrijven leeftijd.
FREQUENCIES
  VARIABLES=v3
  /STATISTICS=SKEWNESS SESKEW
  /ORDER=  ANALYSIS .
*Weglaten kinderen onder 18 jaar.
USE ALL.
COMPUTE filter_$=(v3 > 17).
VARIABLE LABEL filter_$ 'v3 > 17 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
*Enkelvoudige regressie van praten over het nieuws op leeftijd.
REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT v21
  /METHOD=ENTER v3 
  /SCATTERPLOT=(*ZRESID ,*ZPRED)
  /RESIDUALS HIST(ZRESID) .

*Opgave c.
*Meervoudige regressieanalyse inclusief de achtergrondvariabelen.
REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA CHANGE
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT v21
  /METHOD=ENTER v27 v8 v9 v11
  /METHOD=ENTER v1 v3
  /SCATTERPLOT=(*ZRESID ,*ZPRED)
  /RESIDUALS HIST(ZRESID).

*Opgave d.
*Meervoudige regressieanalyse van sekse en leeftijd op de nieuwsmedia variabelen.
REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT v8
  /METHOD=ENTER Vrouw v3 
  /SCATTERPLOT=(*ZRESID ,*ZPRED)
  /RESIDUALS HIST(ZRESID) .
REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT v9
  /METHOD=ENTER Vrouw v3 
  /SCATTERPLOT=(*ZRESID ,*ZPRED)
  /RESIDUALS HIST(ZRESID) .
REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT v11
  /METHOD=ENTER Vrouw v3  
  /SCATTERPLOT=(*ZRESID ,*ZPRED)
  /RESIDUALS HIST(ZRESID).

*Opgave e.
*Meervoudige regressieanalyse van sekse en leeftijd op vertrouwen in de nieuwsmedia.
REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT v27
  /METHOD=ENTER Vrouw v3  
  /SCATTERPLOT=(*ZRESID ,*ZPRED)
  /RESIDUALS HIST(ZRESID).
