*Syntax Oefening 6_4.

*Opgave a.
*Beschrijving sekse, baan, leeftijd, aantal jaren onderwijs, tvgratificaties.
FREQUENCIES
  VARIABLES=v1 v4uur v3 v73 v13 v14 v15 v16 v17 v18 v19
  /ORDER=  ANALYSIS .
*Dummyvariabele vrouw.
RECODE
  v1
  (0=1)  (1=0)  INTO  Vrouw .
EXECUTE .
*Weglaten kinderen onder 18 jaar.
USE ALL.
COMPUTE filter_$=(v3 > 17).
VARIABLE LABEL filter_$ 'v3 > 17 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
*Missings op v14 en v16 definieren.
*Define Variable Properties.
*v14.
MISSING VALUES v14 ( 99 ).
*v16.
MISSING VALUES v16 ( 99 ).
EXECUTE.
*Spreidingsdiagrammen.
GRAPH
  /SCATTERPLOT(BIVAR)=v3 WITH v13
  /MISSING=LISTWISE .
GRAPH
  /SCATTERPLOT(BIVAR)=v3 WITH v14
  /MISSING=LISTWISE .
GRAPH
  /SCATTERPLOT(BIVAR)=v3 WITH v15
  /MISSING=LISTWISE .
GRAPH
  /SCATTERPLOT(BIVAR)=v3 WITH v16
  /MISSING=LISTWISE .
GRAPH
  /SCATTERPLOT(BIVAR)=v3 WITH v17
  /MISSING=LISTWISE .
GRAPH
  /SCATTERPLOT(BIVAR)=v3 WITH v18
  /MISSING=LISTWISE .
GRAPH
  /SCATTERPLOT(BIVAR)=v3 WITH v19
  /MISSING=LISTWISE .
GRAPH
  /SCATTERPLOT(BIVAR)=v4uur WITH v13
  /MISSING=LISTWISE .
GRAPH
  /SCATTERPLOT(BIVAR)=v4uur WITH v14
  /MISSING=LISTWISE .
GRAPH
  /SCATTERPLOT(BIVAR)=v4uur WITH v15
  /MISSING=LISTWISE .
GRAPH
  /SCATTERPLOT(BIVAR)=v4uur WITH v16
  /MISSING=LISTWISE .
GRAPH
  /SCATTERPLOT(BIVAR)=v4uur WITH v17
  /MISSING=LISTWISE .
GRAPH
  /SCATTERPLOT(BIVAR)=v4uur WITH v18
  /MISSING=LISTWISE .
GRAPH
  /SCATTERPLOT(BIVAR)=v4uur WITH v19
  /MISSING=LISTWISE .
GRAPH
  /SCATTERPLOT(BIVAR)=v73 WITH v13
  /MISSING=LISTWISE .
GRAPH
  /SCATTERPLOT(BIVAR)=v73 WITH v14
  /MISSING=LISTWISE .
GRAPH
  /SCATTERPLOT(BIVAR)=v73 WITH v15
  /MISSING=LISTWISE .
GRAPH
  /SCATTERPLOT(BIVAR)=v73 WITH v16
  /MISSING=LISTWISE .
GRAPH
  /SCATTERPLOT(BIVAR)=v73 WITH v17
  /MISSING=LISTWISE .
GRAPH
  /SCATTERPLOT(BIVAR)=v73 WITH v18
  /MISSING=LISTWISE .
GRAPH
  /SCATTERPLOT(BIVAR)=v73 WITH v19
  /MISSING=LISTWISE .
*Meervoudige regressieanalyse voor elke gratificatie.
REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT v13
  /METHOD=ENTER Vrouw v3 v4uur v73
  /SCATTERPLOT=(*ZRESID ,*ZPRED)
  /RESIDUALS HIST(ZRESID).
REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT v14
  /METHOD=ENTER Vrouw v3 v4uur v73
  /SCATTERPLOT=(*ZRESID ,*ZPRED)
  /RESIDUALS HIST(ZRESID).
REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT v15
  /METHOD=ENTER Vrouw v3 v4uur v73
  /SCATTERPLOT=(*ZRESID ,*ZPRED)
  /RESIDUALS HIST(ZRESID).
REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT v16
  /METHOD=ENTER Vrouw v3 v4uur v73
  /SCATTERPLOT=(*ZRESID ,*ZPRED)
  /RESIDUALS HIST(ZRESID).
REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT v17
  /METHOD=ENTER Vrouw v3 v4uur v73
  /SCATTERPLOT=(*ZRESID ,*ZPRED)
  /RESIDUALS HIST(ZRESID).
REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT v18
  /METHOD=ENTER Vrouw v3 v4uur v73
  /SCATTERPLOT=(*ZRESID ,*ZPRED)
  /RESIDUALS HIST(ZRESID).
REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT v19
  /METHOD=ENTER Vrouw v3 v4uur v73
  /SCATTERPLOT=(*ZRESID ,*ZPRED)
  /RESIDUALS HIST(ZRESID).

*Opgave c.
*Regressie van omvang baan op overige achtergrondvariabelen.
REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT v4uur
  /METHOD=ENTER Vrouw v3 v73  
  /SCATTERPLOT=(*ZRESID ,*ZPRED)
  /RESIDUALS HIST(ZRESID).
*Regressie van onderwijsverleden op sekse en leeftijd.
REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT v73
  /METHOD=ENTER Vrouw v3 
  /SCATTERPLOT=(*ZRESID ,*ZPRED)
  /RESIDUALS HIST(ZRESID).

