*Oefening 7_2.

*Vraag 1. 
*Beschrijf de variabele. 
*Univariate beschrijving: Vertrouwen in de nieuwsmedia. 
FREQUENCIES 
  VARIABLES=V27 /FORMAT=NOTABLE 
  /HISTOGRAM=NORMAL
  /ORDER= ANALYSIS .
*Toets op 1 gemiddelde. 
T-TEST 
  /TESTVAL = 5 
  /MISSING = ANALYSIS 
  /VARIABLES = V27 
  /CRITERIA = CI(.95) .

*Vraag 2. 
*Beschrijving sekse.
FREQUENCIES 
  VARIABLES=v1 
  /ORDER= ANALYSIS .
*Define Variable Properties.
*v1.
VALUE LABELS v1 
   0 'vrouw' 
   1 'man' .
EXECUTE.
*Beschrijving opleiding.
FREQUENCIES 
  VARIABLES=v2 
  /ORDER= ANALYSIS .
*Beschrijving partij waarop men zou stemmen.
FREQUENCIES 
  VARIABLES=v33 
  /ORDER= ANALYSIS .
*Categorie 13 missing. 
*Define Variable Properties. 
*v33. 
MISSING VALUES v33 ( 13 ).
EXECUTE.
*variantieanalyse.
UNIANOVA 
  V27 BY v1 v2 v33 
  /METHOD = SSTYPE(3) 
  /INTERCEPT = INCLUDE 
  /POSTHOC = v2 v33 ( BONFERRONI ) 
  /PLOT = PROFILE( v2*v33 ) 
  /PRINT = HOMOGENEITY DESCRIPTIVE 
  /CRITERIA = ALPHA(.05) 
  /DESIGN = v1 v2 v33 v1*v2 v1*v33 v2*v33 v1*v2*v33 .

*Vraag 3. 
*Beschrijven leeftijd, werktijd en tvkijktijd. 
FREQUENCIES 
  VARIABLES=v3 v4uur v5sqrt /FORMAT=NOTABLE 
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN SKEWNESS SESKEW 
  /HISTOGRAM NORMAL 
  /ORDER= ANALYSIS .
*Bivariaat beoordelen op extreme waarden. 
GRAPH 
  /SCATTERPLOT(BIVAR)=v3 WITH V27 
  /MISSING=LISTWISE .
GRAPH 
  /SCATTERPLOT(BIVAR)=v4uur WITH V27 
  /MISSING=LISTWISE .
GRAPH 
  /SCATTERPLOT(BIVAR)=v5sqrt WITH V27 
  /MISSING=LISTWISE .
*Uitvoeren van de regressieanalyse. 
REGRESSION 
  /MISSING LISTWISE 
  /STATISTICS COEFF CI(95) OUTS R ANOVA 
  /CRITERIA=PIN(.05) POUT(.10) 
  /NOORIGIN 
  /DEPENDENT V27 
  /METHOD=ENTER v3 v4uur v5sqrt 
  /SCATTERPLOT=(*ZRESID ,*ZPRED)
  /RESIDUALS HIST(ZRESID).