*Oefening 7_3.

*Vraag 1: toets op verschil tussen 2006 en 2008. 
*Controle op normale verdeling. 
FREQUENCIES VARIABLES=V27 V28
  /FORMAT=NOTABLE
  /HISTOGRAM NORMAL
  /ORDER=ANALYSIS.
*T-toets voor afhankelijke scores. 
T-TEST 
  PAIRS = V27 WITH V28 (PAIRED) 
  /CRITERIA = CI(.95) 
  /MISSING = ANALYSIS.

*Vraag 2: verschillen tussen kranten wat betreft de ervaren betrouwbaarheid van de nieuwsmedia in 2008. 
*Schaalvariabele voor 2008 in 3 gelijke groepen verdelen. 
*Bepaal de grenzen tussen de groepen. 
FREQUENCIES 
  VARIABLES=V28 
  /NTILES= 3 
  /ORDER= ANALYSIS .
*Hercodeer de groepen. 
RECODE 
  V28 
  (Lowest thru 4.6=1) (4.6 thru 6.0=2) (6.0 thru Highest=3) INTO 
  Betr2008groep .
VARIABLE LABELS Betr2008groep 'Betrouwbaarheid van de nieuwsmedia in 2008'+ 
' gegroepeerd'.
EXECUTE .
*Define Variable Properties. 
*Betr2008groep. 
VALUE LABELS Betr2008groep 
   1 'Lage betrouwbaarheid' 
   2 'Middelmatige betrouwbaarheid' 
   3 'Hoge betrouwbaarheid' .
EXECUTE.
*Kruistabelanalyse met chikwadraattoets. 
CROSSTABS
  /TABLES=Betr2008groep BY v7
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT EXPECTED SRESID 
  /COUNT ROUND CELL.

*Vraag 3: representativiteit qua marktaandeel van kranten.
FREQUENCIES VARIABLES=v7
  /ORDER=ANALYSIS.
*Optie 1: NRC en Trouw samen toetsen tegenover de rest.
*Groeperen Volkskrant, Telegraaf/AD en 'anders'.
RECODE v7 (1=1) (4=2) (ELSE=3) INTO V7her1.
VARIABLE LABELS  V7her1 'NRC versus Trouw versus rest.'.
EXECUTE.
* Define Variable Properties.
*V7her1.
VALUE LABELS V7her1
  1.00 'NRC'
  2.00 'Trouw'
  3.00 'overige kranten'.
EXECUTE.
*Chikwadraattoets op 1 frequentieverdeling.
*Nonparametric Tests: One Sample. 
NPTESTS 
  /ONESAMPLE TEST (V7her1) CHISQUARE(EXPECTED=CUSTOM(CATEGORIES=1 2 3  FREQUENCIES=11.0 6.0 83.0 ))     
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05 CILEVEL=95.
*Optie 2: NRC en Trouw apart toetsen.
*Dichotomien aanmaken voor NRC en Trouw.
RECODE v7 (1=1) (ELSE=0) INTO NRC.
VARIABLE LABELS  NRC 'NRC versus rest'.
EXECUTE.
RECODE v7 (4=1) (ELSE=0) INTO Trouw.
VARIABLE LABELS  Trouw 'Trouw versus rest'.
EXECUTE.
* Define Variable Properties.
*NRC.
VALUE LABELS NRC
  .00 'Geen NRC'
  1.00 'NRC'.
*Trouw.
VALUE LABELS Trouw
  .00 'Geen Trouw'
  1.00 'Trouw'.
EXECUTE.
*(Binomiaal)toetsen op proporties.
*Nonparametric Tests: One Sample. 
NPTESTS 
  /ONESAMPLE TEST (NRC) BINOMIAL(TESTVALUE=0.11 SUCCESSCATEGORICAL=LIST(1) 
    SUCCESSCONTINUOUS=CUTPOINT(MIDPOINT)) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05 CILEVEL=95.
NPTESTS 
  /ONESAMPLE TEST (Trouw) BINOMIAL(TESTVALUE=0.06 SUCCESSCATEGORICAL=LIST(1) 
    SUCCESSCONTINUOUS=CUTPOINT(MIDPOINT)) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05 CILEVEL=95.